### Type parameters

- #### T: BaseRequest<any, any>

### Hierarchy

- RequestConditionFunction

## Index

### Properties

- beginsWith
- between
- contains
- eq
- equals
- gt
- gte
- in
- lt
- lte
- ne
- notContains
- notNull
- null
- type

## Properties

### beginsWith

beginsWith: function

- Defined in dynamo/expression/type/request-condition-function.ts:18

#### Type declaration

- - (value: any): T

  - #### Parameters

    - ##### value: any

    #### Returns T

### between

between: function

- Defined in dynamo/expression/type/request-condition-function.ts:19

#### Type declaration

- - (value1: any, value2: any): T

  - #### Parameters

    - ##### value1: any

    - ##### value2: any

    #### Returns T

### contains

contains: function

- Defined in dynamo/expression/type/request-condition-function.ts:14

#### Type declaration

- - (value: any): T

  - #### Parameters

    - ##### value: any

    #### Returns T

### eq

eq: function

- Defined in dynamo/expression/type/request-condition-function.ts:6

#### Type declaration

- - (value: any): T

  - #### Parameters

    - ##### value: any

    #### Returns T

### equals

equals: function

- Defined in dynamo/expression/type/request-condition-function.ts:5

#### Type declaration

- - (value: any): T

  - #### Parameters

    - ##### value: any

    #### Returns T

### gt

gt: function

- Defined in dynamo/expression/type/request-condition-function.ts:11

#### Type declaration

- - (value: any): T

  - #### Parameters

    - ##### value: any

    #### Returns T

### gte

gte: function

- Defined in dynamo/expression/type/request-condition-function.ts:10

#### Type declaration

- - (value: any): T

  - #### Parameters

    - ##### value: any

    #### Returns T

### in

in: function

- Defined in dynamo/expression/type/request-condition-function.ts:17

#### Type declaration

- - (value: any[]): T

  - #### Parameters

    - ##### value: any[]

    #### Returns T

### lt

lt: function

- Defined in dynamo/expression/type/request-condition-function.ts:9

#### Type declaration

- - (value: any): T

  - #### Parameters

    - ##### value: any

    #### Returns T

### lte

lte: function

- Defined in dynamo/expression/type/request-condition-function.ts:8

#### Type declaration

- - (value: any): T

  - #### Parameters

    - ##### value: any

    #### Returns T

### ne

ne: function

- Defined in dynamo/expression/type/request-condition-function.ts:7

#### Type declaration

- - (value: any): T

  - #### Parameters

    - ##### value: any

    #### Returns T

### notContains

notContains: function

- Defined in dynamo/expression/type/request-condition-function.ts:15

#### Type declaration

- - (value: any): T

  - #### Parameters

    - ##### value: any

    #### Returns T

### notNull

notNull: function

- Defined in dynamo/expression/type/request-condition-function.ts:13

#### Type declaration

- - (): T

  - #### Returns T

### null

null: function

- Defined in dynamo/expression/type/request-condition-function.ts:12

#### Type declaration

- - (): T

  - #### Returns T

### type

type: function

- Defined in dynamo/expression/type/request-condition-function.ts:16

#### Type declaration

- - (value: AttributeType): T

  - #### Parameters

    - ##### value: AttributeType

    #### Returns T

Generated using TypeDoc